Index: /trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- /trunk/prototype/modules/calendar/js/helpers.js	(revision 5947)
+++ /trunk/prototype/modules/calendar/js/helpers.js	(revision 6044)
@@ -1,47 +1,47 @@
 function formatBytes(bytes) {
-	if (bytes >= 1000000000) {
-		return (bytes / 1000000000).toFixed(2) + ' GB';
-	}
-	if (bytes >= 1000000) {
-		return (bytes / 1000000).toFixed(2) + ' MB';
-	}
-	if (bytes >= 1000) {
-		return (bytes / 1000).toFixed(2) + ' KB';
-	}
-	return bytes + ' B';
+    if (bytes >= 1000000000) {
+	return (bytes / 1000000000).toFixed(2) + ' GB';
+    }
+    if (bytes >= 1000000) {
+	return (bytes / 1000000).toFixed(2) + ' MB';
+    }
+    if (bytes >= 1000) {
+	return (bytes / 1000).toFixed(2) + ' KB';
+    }
+    return bytes + ' B';
 };
 
 function validDateEvent(){
-	var start_date = $(".new-event-win.active .start-date").val();
-	var end_date   = $(".new-event-win.active .end-date").val();
-	var start_time = $(".new-event-win.active .start-time").val();
-	var end_time   = $(".new-event-win.active .end-time").val();
-	var isAllDay   = $('.new-event-win.active input[name="allDay"]').is(':checked');
-	
-	if(start_date == "")
-		return 'Por favor, informe uma data inicial';
-	else if(end_date == "")
-		return 'Por favor, informe uma data final';
-	else if(!isAllDay && start_time == "")
-		return 'Por favor, informe uma hora inicial';
-	else if(!isAllDay && end_time == "")
-		return 'Por favor, informe uma hora final';
-	
-	var formatString = (isAllDay)? User.preferences.dateFormat+" HH:mm" : User.preferences.dateFormat + " " + User.preferences.hourFormat;
-		
-	var startDate = Date.parseExact( isAllDay ? start_date+ " 00:00": start_date + " " + $.trim(start_time) , formatString );
-	var endDate = Date.parseExact( isAllDay ? end_date+ " 00:00": end_date + " " + $.trim(end_time) , formatString );
-
-	if(startDate == null || startDate.getTime() < 0 )
-		return 'Data inicial inválida';
-	if(endDate == null || endDate.getTime() < 0)
-		return 'Data final inválida';
-	
-	if((endDate.compareTo(startDate) != 1) && !((endDate.compareTo(startDate) == 0) && (isAllDay))){
-		return (start_date == end_date) ? 
-			((end_time == start_time) ? 'Hora inicial igual a final' : 'Hora final menor que a inicial') :
-			'Data final menor que a inicial';
-	}
-	return false;
+    var start_date = $(".new-event-win.active .start-date").val();
+    var end_date   = $(".new-event-win.active .end-date").val();
+    var start_time = $(".new-event-win.active .start-time").val();
+    var end_time   = $(".new-event-win.active .end-time").val();
+    var isAllDay   = $('.new-event-win.active input[name="allDay"]').is(':checked');
+	
+    if(start_date == "")
+	return 'Por favor, informe uma data inicial';
+    else if(end_date == "")
+	return 'Por favor, informe uma data final';
+    else if(!isAllDay && start_time == "")
+	return 'Por favor, informe uma hora inicial';
+    else if(!isAllDay && end_time == "")
+	return 'Por favor, informe uma hora final';
+	
+    var formatString = (isAllDay)? User.preferences.dateFormat+" HH:mm" : User.preferences.dateFormat + " " + User.preferences.hourFormat;
+		
+    var startDate = Date.parseExact( isAllDay ? start_date+ " 00:00": start_date + " " + $.trim(start_time) , formatString );
+    var endDate = Date.parseExact( isAllDay ? end_date+ " 00:00": end_date + " " + $.trim(end_time) , formatString );
+
+    if(startDate == null || startDate.getTime() < 0 )
+	return 'Data inicial inválida';
+    if(endDate == null || endDate.getTime() < 0)
+	return 'Data final inválida';
+	
+    if((endDate.compareTo(startDate) != 1) && !((endDate.compareTo(startDate) == 0) && (isAllDay))){
+	return (start_date == end_date) ? 
+	((end_time == start_time) ? 'Hora inicial igual a final' : 'Hora final menor que a inicial') :
+	'Data final menor que a inicial';
+    }
+    return false;
 }
 
@@ -67,273 +67,303 @@
 function eventDetails( objEvent, decoded, path, isMail, repeat)
 {
-	attendees = {};
-	
-	if(path == undefined)
-		path = "";
-		
-	if( !decoded )
-	    objEvent = DataLayer.decode( "schedulable:calendar", objEvent );
-
-	if(!isMail)
-	    objEvent = DataLayer.encode( "schedulable:preview", objEvent );
-	
-	if(typeof(objEvent.id) == 'undefined'){
-	    objEvent.alarms = Calendar.signatureOf[User.preferences.defaultCalendar || Calendar.calendarIds[0]].defaultAlarms || false;
-	    objEvent.useAlarmDefault = 1;
-	}
-	
-	/**
+    attendees = {};
+	
+    if(path == undefined)
+	path = "";
+		
+    if( !decoded )
+	objEvent = DataLayer.decode( "schedulable:calendar", objEvent );
+
+    if(!isMail)
+	objEvent = DataLayer.encode( "schedulable:preview", objEvent );
+	
+    if(typeof(objEvent.id) == 'undefined'){
+	objEvent.alarms = Calendar.signatureOf[User.preferences.defaultCalendar || Calendar.calendarIds[0]].defaultAlarms || false;
+	objEvent.useAlarmDefault = 1;
+    }
+	
+    /**
 	 * canDiscardEventDialog deve ser true se não houver alterações no evento
 	 */
-	canDiscardEventDialog = true;
-	/**
+    canDiscardEventDialog = true;
+    /**
 	 * zebraDiscardEventDialog é uma flag indicando que uma janela de confirmação (Zebra_Dialog)
 	 * já está aberta na tela, uma vez que não é possivel acessar o evento ESC utilizado para fechá-la
 	 */
-	zebraDiscardEventDialog = false;
-	
-	/**
+    zebraDiscardEventDialog = false;
+	
+    /**
 		ACLs do participant
 	*/
-	acl_names = {
-		'w': 'acl-white',
-		'i': 'acl-invite-guests',
-		'p': 'acl-participation-required'
-	};
-	
-	var callbackAttendee = function(){
-		//Cria qtip de permissões pelo click do checkbox
-		var checked = false;
-		blkAddAtendee.find("li.not-attendee").addClass('hidden');
-	
-		blkAddAtendee.find("li .button").filter(".close.new").button({
-			icons: {
-				primary: "ui-icon-close"
-			},
-			text: false
-		}).click(function () {
-			DataLayer.remove('participant', $(this).parents('li').find('[type=checkbox]').val());
-			if($(this).parent().find('.button.delegate').hasClass('attendee-permissions-change-button')){
+    acl_names = {
+	'w': 'acl-white',
+	'i': 'acl-invite-guests',
+	'p': 'acl-participation-required'
+    };
+	
+    var callbackAttendee = function(){
+	//Cria qtip de permissões pelo click do checkbox
+	var checked = false;
+	blkAddAtendee.find("li.not-attendee").addClass('hidden');
+	
+	blkAddAtendee.find("li .button").filter(".close.new").button({
+	    icons: {
+		primary: "ui-icon-close"
+	    },
+	    text: false
+	}).click(function () {
+	    DataLayer.remove('participant', $(this).parents('li').find('[type=checkbox]').val());
+	    if($(this).parent().find('.button.delegate').hasClass('attendee-permissions-change-button')){
 				
-				blkAddAtendee.find('.request-update').addClass('hidden');
-				blkAddAtendee.find('.status option').toggleClass('hidden');
+		blkAddAtendee.find('.request-update').addClass('hidden');
+		blkAddAtendee.find('.status option').toggleClass('hidden');
 				
-				blkAddAtendee.find('option[value=1]').attr('selected','selected').trigger('change');
-			}
-			
-			$(this).parents('li').remove();
-			
-			if(blkAddAtendee.find(".attendee-list li").length == 1)
-				blkAddAtendee.find("li.not-attendee").removeClass('hidden');
-		})
-		.addClass('tiny disable ui-button-disabled ui-state-disabled')
-		.removeClass('new').end()
-	
-		.filter(".delegate.new").button({
-			icons: {
-				primary: "ui-icon-transferthick-e-w"
-			},
-			text: false
-		}).click(function () {
+		blkAddAtendee.find('option[value=1]').attr('selected','selected').trigger('change');
+	    }
+			
+	    $(this).parents('li').remove();
+			
+	    if(blkAddAtendee.find(".attendee-list li").length == 1)
+		blkAddAtendee.find("li.not-attendee").removeClass('hidden');
+	})
+	.addClass('tiny disable ui-button-disabled ui-state-disabled')
+	.removeClass('new').end()
+	
+	.filter(".delegate.new").button({
+	    icons: {
+		primary: "ui-icon-transferthick-e-w"
+	    },
+	    text: false
+	}).click(function () {
 						
-			if($(this).hasClass('attendee-permissions-change-button')){
-				$(this).removeClass('attendee-permissions-change-button')   
-				.find('.ui-icon-transferthick-e-w').removeClass('attendee-permissions-change').end();               
+	    if($(this).hasClass('attendee-permissions-change-button')){
+		$(this).removeClass('attendee-permissions-change-button')   
+		.find('.ui-icon-transferthick-e-w').removeClass('attendee-permissions-change').end();               
 				
-				$(this).parents('li').find('input[name="delegatedFrom[]"]').val('');
+		$(this).parents('li').find('input[name="delegatedFrom[]"]').val('');
 				
-				blkAddAtendee.find('.request-update').addClass('hidden');
-				blkAddAtendee.find('.status option').toggleClass('hidden');
+		blkAddAtendee.find('.request-update').addClass('hidden');
+		blkAddAtendee.find('.status option').toggleClass('hidden');
 				
 				
-				blkAddAtendee.find('option[value=1]').attr('selected','selected').trigger('change');
+		blkAddAtendee.find('option[value=1]').attr('selected','selected').trigger('change');
 				
-			}else{
-				blkAddAtendee.find('.delegate').removeClass('attendee-permissions-change-button');
-				blkAddAtendee.find('.ui-icon-transferthick-e-w').removeClass('attendee-permissions-change');
-			
-				$(this).addClass('attendee-permissions-change-button')   
-				.find('.ui-icon-transferthick-e-w').addClass('attendee-permissions-change').end();               
-				$(this).parents('li').find('input[name="delegatedFrom[]"]').val(blkAddAtendee.find('.me input[name="attendee[]"]').val());
-			
-				blkAddAtendee.find('.request-update').removeClass('hidden');
-				if(blkAddAtendee.find('.status option.hidden').length == 1)
-					blkAddAtendee.find('.status option').toggleClass('hidden');
-			
-				blkAddAtendee.find('option[value=5]').attr('selected','selected').trigger('change');
-			}
-		})
-		.addClass('tiny disable ui-button-disabled ui-state-disabled')
-		.removeClass('new').end()
-		
-		.filter(".edit.new").button({
-			icons: {
-				primary: "ui-icon-key"
-			},
-			text: false
-		}).click(function() {
-			
-			if(!!!checked)
-				$(this).parents('li').find('[type=checkbox]').attr('checked', (!$(this).parent().find('[type=checkbox]').is(':checked'))).end();
-			
-			var aclsParticipant =  $(this).parents('li').find('input[name="attendeeAcl[]"]').val();
-			checked = false;
-			
-			if( $('.qtip.qtip-blue.qtip-active').val() !== ''){
-				blkAddAtendee.find('dd.attendee-list').qtip({
-					show: {ready: true, solo: true, when: {event: 'click'}},
-					hide: false,
-					content: {
-						text: $('<div></div>').html( DataLayer.render( 'templates/attendee_permissions.ejs', {} ) ), 
-						title: {
-							text:'Permissões', 
-							button: '<a class="button close" href="#">close</a>'
-						}
-					},
-					style: {name: 'blue', tip: {corner: 'leftMiddle'}, border: {width: 4, radius: 8}, width: {min: 230, max:230}},
-					position: {
-						corner: {
-							target: 'rightMiddle',
-							tooltip: 'leftMiddle'
-						},
-						adjust: {x:0, y:0}
-					}
-				})
-				.qtip("api").onShow = function(arg0) {
-					$('.qtip-active .button.close').button({
-						icons: {primary: "ui-icon-close"},
-						text: false
-					})
-					.click(function(){
-						blkAddAtendee.find('dd.attendee-list').qtip('destroy');
-					});
+	    }else{
+		blkAddAtendee.find('.delegate').removeClass('attendee-permissions-change-button');
+		blkAddAtendee.find('.ui-icon-transferthick-e-w').removeClass('attendee-permissions-change');
+			
+		$(this).addClass('attendee-permissions-change-button')   
+		.find('.ui-icon-transferthick-e-w').addClass('attendee-permissions-change').end();               
+		$(this).parents('li').find('input[name="delegatedFrom[]"]').val(blkAddAtendee.find('.me input[name="attendee[]"]').val());
+			
+		blkAddAtendee.find('.request-update').removeClass('hidden');
+		if(blkAddAtendee.find('.status option.hidden').length == 1)
+		    blkAddAtendee.find('.status option').toggleClass('hidden');
+			
+		blkAddAtendee.find('option[value=5]').attr('selected','selected').trigger('change');
+	    }
+	})
+	.addClass('tiny disable ui-button-disabled ui-state-disabled')
+	.removeClass('new').end()
+		
+	.filter(".edit.new").button({
+	    icons: {
+		primary: "ui-icon-key"
+	    },
+	    text: false
+	}).click(function() {
+			
+	    if(!!!checked)
+		$(this).parents('li').find('[type=checkbox]').attr('checked', (!$(this).parent().find('[type=checkbox]').is(':checked'))).end();
+			
+	    var aclsParticipant =  $(this).parents('li').find('input[name="attendeeAcl[]"]').val();
+	    checked = false;
+			
+	    if( $('.qtip.qtip-blue.qtip-active').val() !== ''){
+		blkAddAtendee.find('dd.attendee-list').qtip({
+		    show: {
+		    ready: true, 
+	    solo: true, 
+	    when: {
+		    event: 'click'
+		    }
+		},
+		hide: false,
+		content: {
+		text: $('<div></div>').html( DataLayer.render( 'templates/attendee_permissions.ejs', {} ) ), 
+		title: {
+		text:'Permissões', 
+		button: '<a class="button close" href="#">close</a>'
+		}
+		},
+		style: {
+		name: 'blue', 
+	    tip: {
+		corner: 'leftMiddle'
+		}, 
+	    border: {
+		width: 4, 
+	    radius: 8
+		}, 
+	    width: {
+		min: 230, 
+	    max:230
+		}
+	    },
+	    position: {
+	    corner: {
+	    target: 'rightMiddle',
+	    tooltip: 'leftMiddle'
+	    },
+	    adjust: {
+	    x:0, 
+	    y:0
+	    }
+	    }
+	    })
+	.qtip("api").onShow = function(arg0) {
+	    $('.qtip-active .button.close').button({
+		icons: {
+		    primary: "ui-icon-close"
+		},
+		text: false
+	    })
+	    .click(function(){
+		blkAddAtendee.find('dd.attendee-list').qtip('destroy');
+	    });
 					
-					$('.qtip-active .button.save').button().click(function(){
+	    $('.qtip-active .button.save').button().click(function(){
 						
-						var acl = '';
-						$('.qtip-active').find('[type=checkbox]:checked').each(function(i, obj) {
-							acl+= obj.value;
-						});
-
-						blkAddAtendee.find('dd.attendee-list [type=checkbox]:checked').siblings('input[name="attendeeAcl[]"]').each(function(i, obj) { 
-							obj.value = 'r'+acl;
-						}).parents('li').find('.button.edit').addClass('attendee-permissions-change-button')   
-						.find('.ui-icon-key').addClass('attendee-permissions-change');               
+		var acl = '';
+		$('.qtip-active').find('[type=checkbox]:checked').each(function(i, obj) {
+		    acl+= obj.value;
+		});
+
+		blkAddAtendee.find('dd.attendee-list [type=checkbox]:checked').siblings('input[name="attendeeAcl[]"]').each(function(i, obj) { 
+		    obj.value = 'r'+acl;
+		}).parents('li').find('.button.edit').addClass('attendee-permissions-change-button')   
+		.find('.ui-icon-key').addClass('attendee-permissions-change');               
 						
-						blkAddAtendee.find('dd.attendee-list [type=checkbox]').attr('checked', false);
+		blkAddAtendee.find('dd.attendee-list [type=checkbox]').attr('checked', false);
 						
-						blkAddAtendee.find('dd.attendee-list').qtip('destroy');
+		blkAddAtendee.find('dd.attendee-list').qtip('destroy');
 					
-					});
-					$('.qtip-active .button.cancel').button().click(function(){
-						blkAddAtendee.find('dd.attendee-list [type=checkbox]').attr('checked', false);
-						blkAddAtendee.find('dd.attendee-list').qtip('destroy');
-					});
+	    });
+	    $('.qtip-active .button.cancel').button().click(function(){
+		blkAddAtendee.find('dd.attendee-list [type=checkbox]').attr('checked', false);
+		blkAddAtendee.find('dd.attendee-list').qtip('destroy');
+	    });
 					
-					if(aclsParticipant)
-						for(var i = 1; i < aclsParticipant.length; i++){
-							$('.qtip-active').find('input[name="'+acl_names[aclsParticipant.charAt(i)]+'"]').attr('checked', true);
-						}
+	    if(aclsParticipant)
+		for(var i = 1; i < aclsParticipant.length; i++){
+		    $('.qtip-active').find('input[name="'+acl_names[aclsParticipant.charAt(i)]+'"]').attr('checked', true);
+		}
 					
 					
-					$('.button').button();
+	    $('.button').button();
 					
-				};
-			}else{
-				if(!$('.new-event-win dd.attendee-list').find('[type=checkbox]:checked').length){
-					blkAddAtendee.find('dd.attendee-list').qtip('destroy');
-				}else{
-					$('.qtip-active .button.save .ui-button-text').html('Aplicar a todos')
-				}
-			
-			};			
-		})
-		.addClass('tiny disable ui-button-disabled ui-state-disabled')
-		.removeClass('new').end()
-		
-		.filter(".open-delegate.new").click(function(){
-			if($(this).hasClass('ui-icon-triangle-1-e')){
-				$(this).removeClass('ui-icon-triangle-1-e').addClass('ui-icon-triangle-1-s');
-				$(this).parents('li').find('.list-delegates').removeClass('hidden');
-			}else{
-				$(this).removeClass('ui-icon-triangle-1-s').addClass('ui-icon-triangle-1-e');
-				$(this).parents('li').find('.list-delegates').addClass('hidden');
-			}
-		
-		}).removeClass('new');
-	
-	
-		blkAddAtendee.find("li input[type=checkbox].new").click(function(){
-			if(!$('.new-event-win dd.attendee-list').find('[type=checkbox]:checked').length){
-				blkAddAtendee.find('dd.attendee-list').qtip('destroy');
-			}else{
-				checked = true;
-					$(this).parents('li').find('.button.edit').click();
-			}
-		}).removeClass('new');
-	
-		UI.dialogs.addEvent.find('.attendees-list li').hover(
-			function () {
-				$(this).addClass("hover-attendee");
-				$(this).find('.button').removeClass('disable ui-button-disabled ui-state-disabled').end()
-				.find('.attendee-options').addClass('hover-attendee');
-			},
-			function () {
-				$(this).removeClass("hover-attendee");
-				$(this).find('.button').addClass('disable ui-button-disabled ui-state-disabled').end()
-				.find('.attendee-options').removeClass('hover-attendee');;
-			}
-		);
-	
-		
-	}
-
-	var html = DataLayer.render( path+'templates/event_add.ejs', {event:objEvent});	
-		
-		if (!UI.dialogs.addEvent) {
-			UI.dialogs.addEvent = jQuery('#sandbox').append('<div title="Criar Evento" class="new-event-win active"> <div>').find('.new-event-win.active').html(html).dialog({
-				resizable: false, 
-				modal:true, 
-				autoOpen: false,
-				width:700, 
-				position: 'center', 
-				close: function(event, ui) {
-					/**
+	};
+	}else{
+	    if(!$('.new-event-win dd.attendee-list').find('[type=checkbox]:checked').length){
+		blkAddAtendee.find('dd.attendee-list').qtip('destroy');
+	    }else{
+		$('.qtip-active .button.save .ui-button-text').html('Aplicar a todos')
+	    }
+			
+	};			
+    })
+.addClass('tiny disable ui-button-disabled ui-state-disabled')
+.removeClass('new').end()
+		
+.filter(".open-delegate.new").click(function(){
+    if($(this).hasClass('ui-icon-triangle-1-e')){
+	$(this).removeClass('ui-icon-triangle-1-e').addClass('ui-icon-triangle-1-s');
+	$(this).parents('li').find('.list-delegates').removeClass('hidden');
+    }else{
+	$(this).removeClass('ui-icon-triangle-1-s').addClass('ui-icon-triangle-1-e');
+	$(this).parents('li').find('.list-delegates').addClass('hidden');
+    }
+		
+}).removeClass('new');
+	
+	
+blkAddAtendee.find("li input[type=checkbox].new").click(function(){
+    if(!$('.new-event-win dd.attendee-list').find('[type=checkbox]:checked').length){
+	blkAddAtendee.find('dd.attendee-list').qtip('destroy');
+    }else{
+	checked = true;
+	$(this).parents('li').find('.button.edit').click();
+    }
+}).removeClass('new');
+	
+UI.dialogs.addEvent.find('.attendees-list li').hover(
+    function () {
+	$(this).addClass("hover-attendee");
+	$(this).find('.button').removeClass('disable ui-button-disabled ui-state-disabled').end()
+	.find('.attendee-options').addClass('hover-attendee');
+    },
+    function () {
+	$(this).removeClass("hover-attendee");
+	$(this).find('.button').addClass('disable ui-button-disabled ui-state-disabled').end()
+	.find('.attendee-options').removeClass('hover-attendee');;
+    }
+    );
+	
+		
+}
+
+var html = DataLayer.render( path+'templates/event_add.ejs', {
+    event:objEvent
+});	
+		
+if (!UI.dialogs.addEvent) {
+    UI.dialogs.addEvent = jQuery('#sandbox').append('<div title="Criar Evento" class="new-event-win active"> <div>').find('.new-event-win.active').html(html).dialog({
+	resizable: false, 
+	modal:true, 
+	autoOpen: false,
+	width:700, 
+	position: 'center', 
+	close: function(event, ui) {
+	    /**
 					 * Remove tooltip possivelmente existente
 					 */
-					if ($('dd.attendee-list li:last').data('qtip'))
-						$('dd.attendee-list li:last').qtip('destroy');
+	    if ($('dd.attendee-list li:last').data('qtip'))
+		$('dd.attendee-list li:last').qtip('destroy');
 						
-					attendees  = {};
-
-				},
-				beforeClose: function(event, ui) {
-
-					if (!canDiscardEventDialog && !zebraDiscardEventDialog) {
-						zebraDiscardEventDialog = true;
-						window.setTimeout(function() {
-							$.Zebra_Dialog('Suas alterações no evento não foram salvas. Deseja descartar as alterações?', {
-								'type':     'question',
-								'overlay_opacity': '0.5',
-								'buttons':  ['Descartar alterações', 'Continuar editando'],
-								'onClose':  function(clicked) {
-									if(clicked == 'Descartar alterações') {
-										canDiscardEventDialog = true;
-										/**
+	    attendees  = {};
+
+	},
+	beforeClose: function(event, ui) {
+
+	    if (!canDiscardEventDialog && !zebraDiscardEventDialog) {
+		zebraDiscardEventDialog = true;
+		window.setTimeout(function() {
+		    $.Zebra_Dialog('Suas alterações no evento não foram salvas. Deseja descartar as alterações?', {
+			'type':     'question',
+			'overlay_opacity': '0.5',
+			'buttons':  ['Descartar alterações', 'Continuar editando'],
+			'onClose':  function(clicked) {
+			    if(clicked == 'Descartar alterações') {
+				canDiscardEventDialog = true;
+				/**
 										*Remoção dos anexos do eventos caso seja cancelado a edição
 										*/
-										var ids = [];
-										$.each($('.attachment-list input'), function (i, input) {ids.push(input.value);});
-										if(ids.length > 0)
-											DataLayer.remove('attachment', {filter: ['IN', 'id', ids]});
+				var ids = [];
+				$.each($('.attachment-list input'), function (i, input) {
+				    ids.push(input.value);
+				});
+				if(ids.length > 0)
+				    DataLayer.remove('attachment', {
+					filter: ['IN', 'id', ids]
+					});
 										
-                                                                                DataLayer.rollback();
+				DataLayer.rollback();
                                                                                 
-										UI.dialogs.addEvent.dialog('close');
-									}else{
-										zebraDiscardEventDialog = false;
-									}
+				UI.dialogs.addEvent.dialog('close');
+			    }else{
+				zebraDiscardEventDialog = false;
+			    }
 									
-									/**
+			    /**
 									 * Uma vez aberta uma janela de confirmação (Zebra_Dialog), ao fechá-la
 									 * com ESC, para que o evento ESC não seja propagado para fechamento da
